Skip to Content
Events

Get an event

Read one event, including private ones. Requires the `events:read` scope.

GET
/v1/events/{id}

Read one event, including private ones.

Requires the events:read scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Path Parameters

id*string
Match^evt_[0-9A-Za-z]{6,64}$

Response Body

The event.

application/json
  1. response
id*string
Match^evt_[0-9A-Za-z]{6,64}$
mode*string

live or test. Always the mode of the API key that made the request.

Value in"live""test"
series_id*|

Set when the event is an occurrence of a series.

slug*string
title*string
description*string|null
starts_at*string

ISO 8601 with a UTC offset.

Formatdate-time
ends_at*|

ISO 8601 with a UTC offset.

Formatdate-time
timezone*string
location_name*string|null
location_address*string|null
online_url*string|null
capacity*integer|null
max_guests*integer
waitlist_enabled*boolean
visibility*string

public events are listed and indexed. unlisted events work by link and embed but are not listed. private events are only visible through this API and the dashboard.

Value in"public""unlisted""private"
status*string
Value in"draft""published""cancelled"
price_note*string|null
cover_image_url*string|null
fields*array<>
counts*
url*string

Hosted event page.

created_at*string

ISO 8601 with a UTC offset.

Formatdate-time
updated_at*string

ISO 8601 with a UTC offset.

Formatdate-time
Example Request
curl -X GET 'https://api.whocoming.com/v1/events/string'
Example Response
{  "id": "string",  "mode": "live",  "series_id": "string",  "slug": "string",  "title": "string",  "description": "string",  "starts_at": "2019-08-24T14:15:22Z",  "ends_at": "2019-08-24T14:15:22Z",  "timezone": "string",  "location_name": "string",  "location_address": "string",  "online_url": "string",  "capacity": 0,  "max_guests": 0,  "waitlist_enabled": true,  "visibility": "public",  "status": "draft",  "price_note": "string",  "cover_image_url": "string",  "fields": [    {      "key": "string",      "label": "string",      "type": "text",      "required": true,      "options": [        "string"      ]    }  ],  "counts": {    "going": 0,    "waitlisted": 0,    "spots_left": 0  },  "url": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}